Bug 1966459 - 'policy/v1beta1 PodDisruptionBudget' and 'batch/v1beta1 CronJob' appear in image-registry-operator log
Summary: 'policy/v1beta1 PodDisruptionBudget' and 'batch/v1beta1 CronJob' appear in im...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-01 08:34 UTC by XiuJuan Wang
Modified: 2021-07-27 23:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:10:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 691 0 None open Bug 1966459: Use batch/v1 and policy/v1 2021-06-09 14:20:17 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:11:14 UTC

Description XiuJuan Wang 2021-06-01 08:34:29 UTC
Description of problem:
There are "batch/v1beta1 CronJob is deprecated in v1.21+, unavailable in v1.25+; use batch/v1 CronJob" and "policy/v1beta1 PodDisruptionBudget is deprecated in v1.21+, unavailable in v1.25+; use policy/v1" shown in registry operator logs

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-05-31-085539

How reproducible:
always

Steps to Reproduce:
1.
#for project in openshift-image-registry; do echo "namespace is: " $project; for pod_name in $(oc get pod -n $project| grep -v NAME | awk '{print $1}'); do echo "pod name is: "  $pod_name; for container in $(oc -n $project get pods $pod_name -o jsonpath="{.spec.containers[*].name}"); do echo container: $container;oc -n $project logs -c $container $pod_name | grep "batch/v1beta1 CronJob is deprecated in v1.21+, unavailable in v1.25+; use batch/v1 CronJob"| head -n3; done; echo -e "\n";done;echo -e "\n"; done


2.
3.

Actual results:

namespace is:  openshift-image-registry
pod name is:  cluster-image-registry-operator-5c5bb4fd88-qtcnk
container: cluster-image-registry-operator
W0531 23:13:21.946376       1 warnings.go:70] batch/v1beta1 CronJob is deprecated in v1.21+, unavailable in v1.25+; use batch/v1 CronJob
W0531 23:13:22.022071       1 warnings.go:70] batch/v1beta1 CronJob is deprecated in v1.21+, unavailable in v1.25+; use batch/v1 CronJob
W0531 23:13:22.413761       1 warnings.go:70] batch/v1beta1 CronJob is deprecated in v1.21+, unavailable in v1.25+; use batch/v1 CronJob

namespace is:  openshift-image-registry
pod name is:  cluster-image-registry-operator-5c5bb4fd88-qtcnk
container: cluster-image-registry-operator
W0531 23:13:22.065294       1 warnings.go:70] policy/v1beta1 PodDisruptionBudget is deprecated in v1.21+, unavailable in v1.25+; use policy/v1 PodDisruptionBudget
W0531 23:13:22.093656       1 warnings.go:70] policy/v1beta1 PodDisruptionBudget is deprecated in v1.21+, unavailable in v1.25+; use policy/v1 PodDisruptionBudget
W0531 23:15:47.435153       1 warnings.go:70] policy/v1beta1 PodDisruptionBudget is deprecated in v1.21+, unavailable in v1.25+; use policy/v1 PodDisruptionBudget


Expected results:
Should use policy/v1 PodDisruptionBudget and  batch/v1 CronJob
Additional info:

Comment 2 XiuJuan Wang 2021-06-11 01:52:07 UTC
Validate this bug before pr merged. Manually move to verified.

Comment 5 errata-xmlrpc 2021-07-27 23:10:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.